Last modified: 2013-12-30 02:43:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 32603 - limit option is missing on Special:BlockList
limit option is missing on Special:BlockList
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User blocking (Other open bugs)
1.18.x
All All
: Normal normal (vote)
: 1.18.0 release
Assigned To: John Du Hart
: need-integration-test
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 10:20 UTC by db [inactive,noenotif]
Modified: 2013-12-30 02:43 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2011-11-23 10:20:26 UTC
A option to increase the limit is missing on Special:BlockList after the rewrite in 1.18 ("Show [20 50 100 250 500] items per page" or so)
Comment 1 Mark A. Hershberger 2011-11-25 17:06:19 UTC
*sigh*

Thanks for finding and reporting this.
Comment 2 Mark A. Hershberger 2011-11-26 20:50:20 UTC
Guys,

This looks like the sort of regression we should avoid on tarball release.  What say you?
Comment 3 Mark A. Hershberger 2011-11-26 20:55:28 UTC
This looks like the sort of regression we should avoid on tarball release. 
What say you?

(actually add the people I want input from on CC this time.)
Comment 4 John Du Hart 2011-11-26 21:26:22 UTC
The URL parameter for limiting works, there's just no UI for it:

https://www.mediawiki.org/wiki/Special:BlockList?limit=20

CodeReview uses those same navigation icons and a dropdown for specifying how many results to give. Should we use that same thing here for the BlockList?
Comment 5 John Du Hart 2011-11-26 21:28:35 UTC
On second thought, I'm going to take the approach ListFiles and AllMessages is using.
Comment 6 John Du Hart 2011-11-26 22:24:21 UTC
Should be fixed now in r104318
Comment 7 Kunal Mehta (Legoktm) 2013-12-17 16:29:04 UTC
Note that we've released 1.22 with a comment that says "@todo Do not release 1.19 with this."
Comment 8 MZMcBride 2013-12-30 02:20:20 UTC
(In reply to comment #7)
> Note that we've released 1.22 with a comment that says "@todo Do not release
> 1.19 with this."

:-)

We should probably preemptively file bugs blocking the release of the relevant MediaWiki version for cases like this. Otherwise we'll never remember.
Comment 9 MZMcBride 2013-12-30 02:43:44 UTC
(In reply to comment #8)
> We should probably preemptively file bugs blocking the release of the
> relevant MediaWiki version for cases like this. Otherwise we'll never remember.

I filed bug 59113 about the general issue of old code sitting around in MediaWiki.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links